Package Details: ps2-libpng v1.6.37-1

Git Clone URL: https://aur.archlinux.org/ps2-libpng.git (read-only, click to copy)
Package Base: ps2-libpng
Description: A collection of routines used to create PNG format graphics files (Sony Playstation® 2 videogame system port).
Upstream URL: https://github.com/glennrp/libpng
Keywords: ps2 sdk
Licenses: custom
Submitter: tallero
Maintainer: tallero (truocolo)
Last Packager: truocolo
Votes: 1
Popularity: 0.000014
First Submitted: 2023-01-10 21:50 (UTC)
Last Updated: 2023-12-09 18:28 (UTC)

Dependencies (3)

Required by (1)

Sources (2)

Latest Comments

truocolo commented on 2023-12-11 15:26 (UTC) (edited on 2023-12-11 15:35 (UTC) by truocolo)

@MarsSeed: I don't really know exactly what to say. I would gladly talk with an user of this software, do you want to co-maintain it?

Btw I'm pretty sure the PS2 SDK version published here specifically targets this version (I remember this pkgbuild not pointing to a version release commit).

PS2 SDK developers should be contacted to ask if they use a more recent version of libpng on upstream SDK sources and also check there are no issues building ps2 homebrews depending on this. That's why I asked you to concretely check if this had to be upgraded.

About not willing to maintain it, simply it takes me a week to rebuild whole toolchain locally (on a desktop pc, which currently i do not have), so since i left this as 'stable', I'm just asking you to double check if this upgrade is needed or simply i should move this to maybe ps2-libpng1637 providing ps2-libpng and making the specific version of the ps2 sdk published here depend on this.

Keep in mind I still do not have published any ps2 homebrew on aur.

MarsSeed commented on 2023-12-11 14:39 (UTC)

Please disown the package if you are not willing to maintain it.

It is the package maintainers job to update and test package with the latest stable release version.

truocolo commented on 2023-12-11 14:29 (UTC)

@MarsSeed: I'm not sure the target version will build, so I'm gonna unflag the package until you confirm it builds v1.6.40 or either I will have setup an online builder.

tallero commented on 2023-12-08 02:12 (UTC)

@MarsSeed: please also provide and test source for the targeted version (1.6.40)